﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using WpfApplication236.ViewModel;
using Infragistics.Windows.DataPresenter;
using Infragistics.Windows.Controls;

namespace WpfApplication236
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {

        VM vm; 
        public MainWindow()
        {
            InitializeComponent();
           vm = this.Resources["vm"] as VM;
           
        }

      

        private void search_Click(object sender, RoutedEventArgs e)
        {
            xamDataGrid1.FieldLayouts[0].RecordFilters.Clear();
            foreach (Field f in xamDataGrid1.FieldLayouts[0].Fields)
            {
                if (f.DataType == typeof(string))
                {
                RecordFilter rf = new RecordFilter(f);
                ComparisonCondition cc = new ComparisonCondition(ComparisonOperator.Contains,tbsearch.Text);
                rf.Conditions.Add(cc);
                xamDataGrid1.FieldLayouts[0].RecordFilters.Add(rf);
                }
            }

        }


        

    }
}
